<?php

namespace App\Element;

use App\Set\Set as DomainSet;

interface ElementRepository
{
    public function create(CreateElementDto $dto): Element;

    public function find(int $id): ?Element;

    /**
     * @return Element[]
     */
    public function findBySet(DomainSet $set): array;
}
